@charset "UTF-8";
/* map-getを使用するために必要 */
/* "Kiwi Maru"は当てるところに指定する */
.main {
  display: grid;
  gap: 94px;
  margin-top: 60px;
}
@media screen and (min-width: 1200px) {
  .main {
    margin-top: 73px;
  }
}

.inner {
  padding-inline: 15px;
}
@media screen and (min-width: 900px) {
  .inner {
    padding-inline: 40px;
  }
}

/* 縦書き */
.vertical-text {
  -webkit-writing-mode: vertical-rl;
      -ms-writing-mode: tb-rl;
          writing-mode: vertical-rl; /* 右から左への縦書き */
  text-orientation: upright; /* 文字の向きを適切に */
  line-height: 1.4;
  letter-spacing: 1.1px;
}

/* タイトルの文字間 */
.title-space {
  letter-spacing: 10px;
}

/* 縦書きの際に数字を縦にする */
.text-combine {
  text-combine-upright: all;
  display: inline-block;
}

/* ボタン */
.button {
  border-radius: 100px;
  background: #3b7a57;
  color: #fff;
  padding: 10px 26px;
}
.button:hover {
  color: #000;
  background: #f8bbd0;
}

/* 工夫した点 */
.ingenuity {
  width: 140px;
  height: auto;
  border: 4px solid #8b4513;
  background: #fffded;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 5px;
  line-height: 1.5;
}
@media screen and (min-width: 900px) {
  .ingenuity {
    width: 210px;
    border: 4px solid #8b4513;
  }
}

.ingenuity__text {
  font-size: 11px;
}
@media screen and (min-width: 900px) {
  .ingenuity__text {
    font-size: 15px;
  }
}

/* 丸 */
.ellipse {
  width: 343px;
  height: 343px;
  border-radius: 50%;
  background: #faf3e0;
}
@media screen and (min-width: 1200px) {
  .ellipse {
    width: 500px;
    height: 500px;
  }
}

/* brのスマホのみ */
@media screen and (min-width: 1200px) {
  .only__SP {
    display: none;
  }
}

/* フェードイン */
.fade-in-up {
  opacity: 0;
  -webkit-transform: translateY(24px);
          transform: translateY(24px);
  -webkit-transition: opacity 1s, -webkit-transform 1s;
  transition: opacity 1s, -webkit-transform 1s;
  transition: opacity 1s, transform 1s;
  transition: opacity 1s, transform 1s, -webkit-transform 1s;
}
.fade-in-up.is-in-view {
  opacity: 1;
  -webkit-transform: translateY(0);
          transform: translateY(0);
}

.fade-in-right {
  opacity: 0;
  -webkit-transform: translateX(30px);
          transform: translateX(30px);
  -webkit-transition: opacity 4s, -webkit-transform 2s;
  transition: opacity 4s, -webkit-transform 2s;
  transition: opacity 4s, transform 2s;
  transition: opacity 4s, transform 2s, -webkit-transform 2s;
}
.fade-in-right.is-in-view {
  opacity: 1;
  -webkit-transform: translateX(0);
          transform: translateX(0);
}

.fade-in-left {
  opacity: 0;
  -webkit-transform: translateX(-30px);
          transform: translateX(-30px);
  -webkit-transition: opacity 4s, -webkit-transform 2s;
  transition: opacity 4s, -webkit-transform 2s;
  transition: opacity 4s, transform 2s;
  transition: opacity 4s, transform 2s, -webkit-transform 2s;
}
.fade-in-left.is-in-view {
  opacity: 1;
  -webkit-transform: translateX(0);
          transform: translateX(0);
}

.fade-in {
  opacity: 0;
  -webkit-transition: opacity 2s;
  transition: opacity 2s;
}
.fade-in.is-in-view {
  opacity: 1;
}
.fade-in:nth-child(1) {
  -webkit-transition-delay: 0;
          transition-delay: 0;
}
.fade-in:nth-child(2) {
  -webkit-transition-delay: 0.2s;
          transition-delay: 0.2s;
}
.fade-in:nth-child(3) {
  -webkit-transition-delay: 0.4s;
          transition-delay: 0.4s;
}
.fade-in:nth-child(4) {
  -webkit-transition-delay: 0.6s;
          transition-delay: 0.6s;
}
.fade-in:nth-child(5) {
  -webkit-transition-delay: 0.8s;
          transition-delay: 0.8s;
}
.fade-in:nth-child(6) {
  -webkit-transition-delay: 1s;
          transition-delay: 1s;
}
.fade-in:nth-child(7) {
  -webkit-transition-delay: 1.2s;
          transition-delay: 1.2s;
}
.fade-in:nth-child(8) {
  -webkit-transition-delay: 1.4s;
          transition-delay: 1.4s;
}
.fade-in:nth-child(9) {
  -webkit-transition-delay: 1.6s;
          transition-delay: 1.6s;
}

/* トップに戻るボタン */
.top__button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-size: 12px;
  line-height: 1;
  z-index: 99;
  background: #8b4513;
  text-decoration: none;
  color: #fff;
  width: 55px;
  padding: 16px 5px;
  text-align: center;
  display: block;
  border-radius: 90px;
  opacity: 0.9;
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.top__button:hover {
  color: #8b4513;
  background: #fff;
}
@media screen and (min-width: 900px) {
  .top__button {
    bottom: 30px;
  }
}
@media screen and (min-width: 1200px) {
  .top__button {
    font-size: 14px;
    width: 65px;
    padding: 18px 5px;
  }
}

body {
  color: #000;
  font-family: "Zen Old Mincho", serif;
  font-size: 10px;
  font-weight: 400;
  line-height: 15px;
  background: url(../img/background.svg) center/cover no-repeat fixed; /* 背景画像をいっぱいにする */
}

.header {
  height: 60px;
  width: 100%;
  background: #3b7a57;
  position: fixed;
  top: 0;
  z-index: 100;
}
@media screen and (min-width: 1200px) {
  .header {
    height: 73px;
  }
}

.header__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 60px;
}
@media screen and (min-width: 1200px) {
  .header__content {
    height: 73px;
  }
}

.header__logo {
  width: 95px;
  height: 59px;
}

.header__nav {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  right: 0;
  background: #3b7a57;
  z-index: 50;
  padding: 86px 40px 40px;
  -webkit-transform: translateX(100%);
          transform: translateX(100%);
  /* 要素の100％を右に移動させる（要素の左端が画面の右の100％のところに来る）　つまり、見えないようにする */
  -webkit-transition: -webkit-transform 0.7s ease-out;
  transition: -webkit-transform 0.7s ease-out;
  transition: transform 0.7s ease-out;
  transition: transform 0.7s ease-out, -webkit-transform 0.7s ease-out;
}
.header__nav.is-checked {
  -webkit-transform: translateX(0);
          transform: translateX(0);
}
@media screen and (min-width: 900px) {
  .header__nav {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    background: transparent; /* 透明 */
    padding: 0;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
  }
}

.header-nav__lists {
  font-size: 16px;
  color: #fff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 76px;
  width: 80px;
  position: absolute;
  right: 39px;
}
@media screen and (min-width: 900px) {
  .header-nav__lists {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 85px;
    width: auto;
    padding-block: 22px;
    right: 74px;
  }
}
@media screen and (min-width: 1200px) {
  .header-nav__lists {
    padding-block: 29px;
  }
}

a {
  text-decoration: none;
}

.header__link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; /* テキストと疑似要素を横並びにする */
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center; /* 上下中央に揃える */
}
.header__link::before {
  width: 0; /* 初期表示は表示しないようにする */
  height: 0;
  content: "";
  background-color: transparent;
  border-radius: 50%;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.header__link:hover::before {
  width: 0.25em; /* ホバー時に表示 */
  height: 0.25em;
  margin-right: 10px;
  background-color: #000;
}
@media screen and (min-width: 900px) {
  .header__link {
    border-bottom: 1px solid #fff;
    width: auto;
  }
}

.drawer-icon {
  width: 30px;
  height: 22px;
  position: relative;
  z-index: 51;
}
.drawer-icon.is-checked .drawer-icon__bar:nth-of-type(1) {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  top: 10px;
}
.drawer-icon.is-checked .drawer-icon__bar:nth-of-type(2) {
  display: none;
}
.drawer-icon.is-checked .drawer-icon__bar:nth-of-type(3) {
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  top: 10px;
}
@media screen and (min-width: 900px) {
  .drawer-icon {
    display: none;
  }
}

.drawer-icon__bar {
  position: absolute;
  top: 0;
  left: 0;
  width: 30px;
  height: 2px;
  background: #fff;
  -webkit-transition: top 0.4s, -webkit-transform 0.4s;
  transition: top 0.4s, -webkit-transform 0.4s;
  transition: top 0.4s, transform 0.4s;
  transition: top 0.4s, transform 0.4s, -webkit-transform 0.4s;
}
.drawer-icon__bar:nth-of-type(2) {
  top: 9px;
}
.drawer-icon__bar:nth-of-type(3) {
  top: 18px;
}

.TOP {
  background: url("../img/background.JPG") center center/cover no-repeat;
}

.TOP__content {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center; /* 子要素達を水平方向に中央 */
  margin-inline: auto; /* この親要素 TOP__inner　の左右中央に配置*/
  max-width: 375px;
}
@media screen and (min-width: 900px) {
  .TOP__content {
    height: 580px;
    max-width: 900px;
  }
}
@media screen and (min-width: 1200px) {
  .TOP__content {
    max-width: 1200px;
  }
}

.TOP__head {
  font-size: 30px;
  line-height: 34px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin: 108px 136px 125px 143px;
}
@media screen and (min-width: 900px) {
  .TOP__head {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    margin: 0;
    position: absolute;
    top: 40px;
    right: 96px;
  }
}

@media screen and (min-width: 900px) {
  .TOP-head__text1 {
    font-size: 40px;
    line-height: 50px;
  }
}

.TOP-head__text2 {
  margin-top: 132px;
}
@media screen and (min-width: 900px) {
  .TOP-head__text2 {
    margin-top: 0;
    font-size: 40px;
    line-height: 50px;
  }
}

.TOP__text {
  font-size: 11px;
  line-height: 14px;
  position: absolute;
  top: 290px;
  left: 70px;
  z-index: -1;
}
@media screen and (min-width: 900px) {
  .TOP__text {
    font-size: 20px;
    line-height: 28px;
    margin: 0;
    position: absolute;
    top: 186px;
    right: 201px;
  }
}

.TOP__img1 {
  position: absolute;
  top: 28px;
  left: 20px;
}
@media screen and (min-width: 900px) {
  .TOP__img1 {
    top: 30px;
    left: 55px;
  }
}
.TOP__img1 img {
  width: 131px;
  height: 131px;
}
@media screen and (min-width: 768px) {
  .TOP__img1 img {
    width: 145px;
    height: 145px;
  }
}
@media screen and (min-width: 900px) {
  .TOP__img1 img {
    width: 220px;
    height: 220px;
  }
}
@media screen and (min-width: 1200px) {
  .TOP__img1 img {
    width: 300px;
    height: 300px;
  }
}

.TOP__img2 {
  position: absolute;
  right: 20px;
  bottom: 100px;
}
@media screen and (min-width: 900px) {
  .TOP__img2 {
    right: 350px;
    bottom: 130px;
  }
}
@media screen and (min-width: 1200px) {
  .TOP__img2 {
    right: 450px;
    bottom: 30px;
  }
}
.TOP__img2 img {
  width: 131px;
  height: 131px;
}
@media screen and (min-width: 768px) {
  .TOP__img2 img {
    width: 145px;
    height: 145px;
  }
}
@media screen and (min-width: 900px) {
  .TOP__img2 img {
    width: 240px;
    height: 240px;
  }
}
@media screen and (min-width: 1200px) {
  .TOP__img2 img {
    width: 320px;
    height: 320px;
  }
}

.TOP__ingenuity {
  position: absolute;
  margin-top: 430px;
  margin-left: 205px;
}
@media screen and (min-width: 900px) {
  .TOP__ingenuity {
    left: 50px;
    bottom: 0;
    margin: 0;
  }
}

.about__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  max-width: 375px;
  margin-inline: auto;
  position: relative;
}
@media screen and (min-width: 900px) {
  .about__content {
    max-width: 900px;
  }
}
@media screen and (min-width: 1200px) {
  .about__content {
    max-width: 1200px;
  }
}

.about__head {
  font-size: 30px;
}
@media screen and (min-width: 900px) {
  .about__head {
    letter-spacing: 20px;
    font-size: 40px;
  }
}

.about__img {
  position: absolute;
  position: absolute;
  top: 70px;
  right: 54px;
}
@media screen and (min-width: 900px) {
  .about__img {
    right: 125px;
  }
}
@media screen and (min-width: 1200px) {
  .about__img {
    right: 165px;
  }
}

.about-img__SP {
  width: 203px;
  height: auto;
}
@media screen and (min-width: 900px) {
  .about-img__SP {
    display: none;
  }
}

.about-img__PC {
  display: none;
}
@media screen and (min-width: 900px) {
  .about-img__PC {
    display: block;
    width: 470px;
    height: auto;
  }
}
@media screen and (min-width: 1200px) {
  .about-img__PC {
    width: 570px;
  }
}

.about__texts {
  background: #faf3e0;
  padding: 6px 14px 1px 14px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-top: 138px;
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 10px;
}
@media screen and (min-width: 900px) {
  .about__texts {
    padding: 10px 15px 10px 15px;
    gap: 20px;
    margin-top: 25px;
  }
}
@media screen and (min-width: 1200px) {
  .about__texts {
    margin-top: 0;
    padding: 27px 34px 28px 34px;
  }
}

.about-text__name {
  line-height: 1.1;
}

.about-name__JP {
  font-size: 15px;
}
@media screen and (min-width: 900px) {
  .about-name__JP {
    font-size: 18px;
  }
}
@media screen and (min-width: 1200px) {
  .about-name__JP {
    font-size: 24px;
  }
}

.about-name__EN {
  font-size: 7px;
  text-orientation: mixed;
}
@media screen and (min-width: 900px) {
  .about-name__EN {
    font-size: 8px;
  }
}
@media screen and (min-width: 1200px) {
  .about-name__EN {
    font-size: 10px;
  }
}

.about-text__birthday {
  font-size: 10px;
  position: absolute;
  top: 98px;
  right: 14px;
}
@media screen and (min-width: 900px) {
  .about-text__birthday {
    font-size: 11px;
    top: 120px;
    right: 16px;
  }
}
@media screen and (min-width: 1200px) {
  .about-text__birthday {
    font-size: 14px;
    top: 184px;
    right: 39px;
  }
}

.about__text {
  font-family: "Kiwi Maru";
  font-size: 8px;
  margin-top: 16px;
}
@media screen and (min-width: 900px) {
  .about__text {
    font-size: 10px;
  }
}
@media screen and (min-width: 1200px) {
  .about__text {
    font-size: 14px;
  }
}

.about-text__main1 {
  margin-left: 10px;
}
@media screen and (min-width: 1200px) {
  .about-text__main1 {
    margin-left: 20px;
  }
}

.about-text__main2 {
  margin-left: 10px;
}
@media screen and (min-width: 1200px) {
  .about-text__main2 {
    margin-left: 20px;
  }
}

.about__button {
  position: absolute;
  right: 0;
  bottom: 0;
}
@media screen and (min-width: 900px) {
  .about__button {
    padding: 10px 50px;
    left: 50%;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
  }
}

.about__ingenuity {
  line-height: 1.5;
  position: absolute;
  width: 160px;
  height: auto;
  right: 0;
  bottom: -10px;
  line-height: 1.3;
}
@media screen and (min-width: 900px) {
  .about__ingenuity {
    width: 230px;
    bottom: -110px;
  }
}
@media screen and (min-width: 1200px) {
  .about__ingenuity {
    bottom: -6px;
  }
}

.skill__content {
  max-width: 375px;
  margin-inline: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
@media screen and (min-width: 900px) {
  .skill__content {
    max-width: 1280px;
  }
}

.skill__head {
  -ms-flex-item-align: center;
      align-self: center;
  font-size: 30px;
}
@media screen and (min-width: 1200px) {
  .skill__head {
    font-size: 40px;
  }
}

.skills {
  margin-top: 8px;
  margin-inline: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  font-size: 9px;
  font-weight: 300;
  line-height: 170%;
}
@media screen and (min-width: 900px) {
  .skills {
    margin-top: 0;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 40px;
  }
}
@media screen and (min-width: 1200px) {
  .skills {
    gap: 88px;
    font-size: 11px;
  }
}

.skills-code__img {
  margin-top: 33px;
  text-align: center;
}
@media screen and (min-width: 1200px) {
  .skills-code__img img {
    width: 254px;
    height: 163px;
  }
}

.skills-code__title {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
  font-size: 16px;
  line-height: 150%;
  border-bottom: 1px solid #000;
}
@media screen and (min-width: 1200px) {
  .skills-code__title {
    font-size: 27px;
  }
}

.skills-code__text {
  margin: 10px 34px 8px 34px;
}
@media screen and (min-width: 1200px) {
  .skills-code__text {
    margin: 27px 51px 10px 51px;
  }
}

.skills-code__subtitle {
  text-align: center;
}

.skills-code__subtext {
  margin: 8px 101px 0 101px;
}

.skill-WP__img {
  text-align: center;
  margin-top: 49px;
}
@media screen and (min-width: 1200px) {
  .skill-WP__img img {
    width: 205px;
    height: 132px;
  }
}

.skill-WP__title {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
  font-size: 16px;
  line-height: 150%;
  border-bottom: 1px solid #000;
}
@media screen and (min-width: 1200px) {
  .skill-WP__title {
    margin-top: 18px;
    font-size: 27px;
  }
}

.skill-WP__text {
  margin: 24px 27px 0 27px;
}
@media screen and (min-width: 1200px) {
  .skill-WP__text {
    margin: 27px 84px 0 84px;
  }
}

.skill__ingenuity {
  line-height: 1.5;
}

.works__content {
  max-width: 375px;
  margin-inline: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
@media screen and (min-width: 900px) {
  .works__content {
    max-width: 1280px;
  }
}

.works__title {
  -ms-flex-item-align: center;
      align-self: center;
  font-size: 30px;
}
@media screen and (min-width: 900px) {
  .works__title {
    font-size: 40px;
    letter-spacing: 20px;
  }
}

.works__list {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
  display: grid;
  gap: 20px;
}
@media screen and (min-width: 900px) {
  .works__list {
    grid-template-columns: repeat(2, 1fr);
  }
}

.works__items {
  padding-top: 70px;
}
@media screen and (min-width: 1200px) {
  .works__items {
    padding: 90px;
  }
}
.works__items:hover {
  background: #ffc1cc;
}

.works-item__green:hover {
  background: #a7dca9;
}

.works__item {
  text-align: center;
}

.works-item__img {
  width: 250px;
  margin-inline: auto;
}
@media screen and (min-width: 1200px) {
  .works-item__img {
    width: 350px;
  }
}

.works-items__text {
  margin-top: 37px;
  font-size: 13px;
}
@media screen and (min-width: 1200px) {
  .works-items__text {
    margin-top: 60px;
    font-size: 18px;
  }
}

.footer {
  margin-top: 17px;
}

.footer__main {
  background: #3b7a57;
  padding-block: 60px 25px;
}

.footer-main__text {
  font-size: 12px;
  color: #fff;
  text-align: center;
}

.footer-main__logos {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 14px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 22px;
}

.footer__GitHub a img {
  width: 30px;
  height: 30px;
}

.footer__X a img {
  width: 30px;
  height: 30px;
}

.footer__Wantedly a img {
  width: 30px;
  height: 30px;
}

.footer__sub {
  color: #fff;
  font-size: 10px;
  background: #592c0b;
  text-align: center;
}

/* aboutページ */
.about-top__inner {
  max-width: 375px;
  margin-inline: auto;
  position: relative;
}
@media screen and (min-width: 900px) {
  .about-top__inner {
    max-width: 900px;
  }
}
@media screen and (min-width: 1200px) {
  .about-top__inner {
    max-width: 1200px;
  }
}

.about-top__title {
  font-size: 30px;
  position: absolute;
  right: 20px;
}
@media screen and (min-width: 900px) {
  .about-top__title {
    font-size: 35px;
    letter-spacing: 15px;
  }
}
@media screen and (min-width: 1200px) {
  .about-top__title {
    font-size: 40px;
    letter-spacing: 25px;
  }
}

.about-top__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
@media screen and (min-width: 900px) {
  .about-top__content {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 40px;
  }
}
@media screen and (min-width: 1200px) {
  .about-top__content {
    gap: 67px;
  }
}

.about-top__image {
  text-align: center;
  margin-top: 53px;
}
@media screen and (min-width: 900px) {
  .about-top__image {
    margin-top: 100px;
  }
}
@media screen and (min-width: 1200px) {
  .about-top__image {
    margin-top: 165px;
  }
}

@media screen and (min-width: 900px) {
  .about-top__imageSP {
    display: none;
  }
}
.about-top__imageSP img {
  width: 209px;
  height: auto;
}

.about-top__imagePC {
  display: none;
}
@media screen and (min-width: 900px) {
  .about-top__imagePC {
    display: block;
  }
}
.about-top__imagePC img {
  width: 294px;
  height: auto;
}
@media screen and (min-width: 1200px) {
  .about-top__imagePC img {
    width: 407px;
  }
}

.about-top__name {
  margin-top: 33px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 5px;
  -webkit-box-align: baseline;
      -ms-flex-align: baseline;
          align-items: baseline;
}
@media screen and (min-width: 900px) {
  .about-top__name {
    margin-top: 0;
  }
}

.about-name__JP {
  font-size: 14px;
}
@media screen and (min-width: 900px) {
  .about-name__JP {
    font-size: 20px;
  }
}
@media screen and (min-width: 1200px) {
  .about-name__JP {
    font-size: 24px;
  }
}

.about-top__texts {
  font-size: 9px;
}
@media screen and (min-width: 900px) {
  .about-top__texts {
    font-size: 12px;
    margin-top: 100px;
    width: 400px;
    line-height: 1.65;
  }
}
@media screen and (min-width: 1200px) {
  .about-top__texts {
    font-size: 14px;
    width: 492px;
    line-height: 1.85;
    margin-top: 165px;
  }
}

.about-top__text2 {
  margin-top: 19px;
}

.about-top__hobby {
  margin-top: 19px;
}

.ab-strengths__content {
  max-width: 375px;
  margin-inline: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
@media screen and (min-width: 900px) {
  .ab-strengths__content {
    max-width: 900px;
  }
}
@media screen and (min-width: 1200px) {
  .ab-strengths__content {
    max-width: 1200px;
  }
}

.ab-strengths__head {
  font-size: 30px;
  -ms-flex-item-align: center;
      align-self: center;
}

.strengths {
  margin-top: 30px;
}

.strengths1 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 343px;
  height: 343px;
  background: #ffdfe5;
  border-radius: 50%;
  margin-inline: auto;
  gap: 40px;
}
@media screen and (min-width: 900px) {
  .strengths1 {
    background: transparent;
    width: 720px;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
}
@media screen and (min-width: 1200px) {
  .strengths1 {
    width: 998px;
  }
}

.strengths1__title {
  -ms-flex-item-align: center;
      align-self: center;
  font-size: 20px;
  margin-top: 40px;
  width: 171px;
  text-align: center;
  border-bottom: 1px solid #000;
  padding-bottom: 7px;
}
@media screen and (min-width: 900px) {
  .strengths1__title {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: #ffdfe5;
    border-bottom: 0;
    padding: 90px 69px;
    margin-top: 0px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths1__title {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background: #ffdfe5;
    padding: 115px 92px;
  }
}

.strengths1__text {
  width: 284px;
  margin-inline: auto;
}
@media screen and (min-width: 900px) {
  .strengths1__text {
    width: 492px;
    font-size: 13px;
    line-height: 23px;
    border-bottom: 1px solid #000;
    padding-bottom: 17px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths1__text {
    width: 615px;
    font-size: 17px;
    line-height: 29px;
  }
}

.strengths2 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 343px;
  height: 343px;
  background: #faf3e0;
  border-radius: 50%;
  margin-inline: auto;
  gap: 40px;
}
@media screen and (min-width: 900px) {
  .strengths2 {
    margin-top: 40px;
    background: transparent;
    width: 720px;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
}
@media screen and (min-width: 1200px) {
  .strengths2 {
    margin-top: 60px;
    width: 998px;
  }
}

.strengths2__title {
  -ms-flex-item-align: center;
      align-self: center;
  font-size: 20px;
  margin-top: 40px;
  width: 171px;
  text-align: center;
  border-bottom: 1px solid #000;
  padding-bottom: 7px;
}
@media screen and (min-width: 900px) {
  .strengths2__title {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: #faf3e0;
    border-bottom: 0;
    padding: 90px 28px;
    margin-top: 0px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths2__title {
    width: 250px;
    height: 250px;
    background: #faf3e0;
    padding: 115px 55px;
  }
}

.strengths2__text {
  width: 284px;
  margin-inline: auto;
}
@media screen and (min-width: 900px) {
  .strengths2__text {
    width: 492px;
    font-size: 13px;
    line-height: 23px;
    border-bottom: 1px solid #000;
    padding-bottom: 17px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths2__text {
    width: 615px;
    font-size: 17px;
    line-height: 29px;
  }
}

.strengths3 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 343px;
  height: 343px;
  background: #ccf1ce;
  border-radius: 50%;
  margin-inline: auto;
  gap: 40px;
}
@media screen and (min-width: 900px) {
  .strengths3 {
    margin-top: 40px;
    background: transparent;
    width: 720px;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
}
@media screen and (min-width: 1200px) {
  .strengths3 {
    margin-top: 60px;
    width: 998px;
  }
}

.strengths3__title {
  -ms-flex-item-align: center;
      align-self: center;
  font-size: 20px;
  margin-top: 40px;
  width: 190px;
  text-align: center;
  border-bottom: 1px solid #000;
  padding-bottom: 7px;
}
@media screen and (min-width: 900px) {
  .strengths3__title {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: #ccf1ce;
    border-bottom: 0;
    padding: 90px 8px;
    margin-top: 0px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths3__title {
    width: 250px;
    height: 250px;
    background: #ccf1ce;
    padding: 115px 35px;
  }
}

.strengths3__text {
  width: 284px;
  margin-inline: auto;
}
@media screen and (min-width: 900px) {
  .strengths3__text {
    padding-block: 20px;
    width: 492px;
    font-size: 13px;
    line-height: 23px;
  }
}
@media screen and (min-width: 1200px) {
  .strengths3__text {
    width: 615px;
    font-size: 17px;
    line-height: 29px;
  }
}

.My-image__content {
  max-width: 375px;
  height: 580px;
  margin-inline: auto;
  position: relative;
}
@media screen and (min-width: 900px) {
  .My-image__content {
    max-width: 600px;
    margin-bottom: 100px;
  }
}
@media screen and (min-width: 1200px) {
  .My-image__content {
    max-width: 900px;
    margin-bottom: 0;
  }
}

.My-image__title {
  font-size: 25px;
  position: absolute;
  top: 12px;
  right: 14px;
}
@media screen and (min-width: 900px) {
  .My-image__title {
    font-size: 27px;
  }
}
@media screen and (min-width: 1200px) {
  .My-image__title {
    font-size: 30px;
  }
}

.My-images {
  display: grid;
  max-width: 285px;
  padding-top: 150px;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 95px 95px 95px;
  gap: 5px;
}
@media screen and (min-width: 900px) {
  .My-images {
    margin-inline: auto;
    max-width: 360px;
    padding-top: 150px;
    grid-template-rows: 120px 120px 120px;
    gap: 7px;
  }
}
@media screen and (min-width: 1200px) {
  .My-images {
    max-width: 390px;
    padding-top: 115px;
    grid-template-rows: 130px 130px 130px;
    gap: 9px;
  }
}

.pictures {
  padding: 10px;
  background: #faf3e0;
}
/* モーダルの背景（オーバーレイ） */
.modal-overlay {
  display: none; /* 初期状態は非表示 */
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  z-index: 9999;
}

/* モーダルが表示されたときのスタイル */
.modal-overlay.active {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; /* ここで flex を適用 */
}

/* モーダルの内容 */
.modal-content {
  position: relative;
  max-width: 50vw; /* 画面幅の80%まで */
  z-index: 10000; /* 背景より前面に */
}

/* モーダル内の画像 */
.modal-content img {
  width: 100%; /* モーダル内で最大幅を確保 */
  height: auto; /* 縦横比を維持 */
  border-radius: 10px;
  display: block;
}

/* 閉じるボタン */
.modal-close {
  position: absolute;
  top: -20px;
  right: -30px;
  background: none;
  border: none;
  color: white;
  font-size: 30px;
  cursor: pointer;
}

/* work__detailページ*/
.work-detail__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  max-width: 375px;
  margin-inline: auto;
}
@media screen and (min-width: 900px) {
  .work-detail__content {
    max-width: 900px;
  }
}

.work-detail__title {
  font-size: 30px;
  -ms-flex-item-align: center;
      align-self: center;
}
@media screen and (min-width: 900px) {
  .work-detail__title {
    font-size: 40px;
  }
}

.work-detail__image {
  text-align: center;
  margin-top: 39px;
  margin-inline: auto;
}
.work-detail__image img {
  -o-object-fit: cover;
     object-fit: cover;
  width: 100%;
  height: 100%;
}

.work-detail__info {
  font-size: 15px;
  margin-top: 30px;
  margin-left: 29px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 10px;
  margin-bottom: 25px;
}
@media screen and (min-width: 900px) {
  .work-detail__info {
    font-size: 20px;
    margin-block: 20px;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -ms-flex-pack: distribute;
        justify-content: space-around;
  }
}

.work-detail__expo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 43px;
}
@media screen and (min-width: 900px) {
  .work-detail__expo {
    background: #faf3e0;
    width: 700px;
    height: auto;
    margin-inline: auto;
    padding: 30px 20px;
    gap: 20px;
  }
}

.detail__expo1 {
  width: 323px;
  height: 323px;
  margin-inline: auto;
  border-radius: 50%;
  background: #faf3e0;
  position: relative;
  padding: 20px;
}
@media screen and (min-width: 900px) {
  .detail__expo1 {
    background: transparent;
    width: auto;
    height: auto;
    margin: 0;
    padding: 0;
  }
}

.project__summarry {
  font-size: 20px;
  position: absolute;
  top: 50px;
  left: 122px;
  border-bottom: 2px solid #000;
  padding-bottom: 6px;
}
@media screen and (min-width: 900px) {
  .project__summarry {
    margin-bottom: 15px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    position: static;
  }
}

.project__date {
  font-size: 14px;
  position: absolute;
  top: 95px;
  left: 60px;
}
@media screen and (min-width: 900px) {
  .project__date {
    margin-bottom: 10px;
    position: static;
  }
}

.project__tool {
  font-size: 14px;
  position: absolute;
  top: 125px;
  left: 60px;
}
@media screen and (min-width: 900px) {
  .project__tool {
    position: static;
  }
}

.work__languages {
  font-size: 20px;
  position: absolute;
  top: 190px;
  left: 122px;
  border-bottom: 2px solid #000;
  padding-bottom: 6px;
}
@media screen and (min-width: 900px) {
  .work__languages {
    margin-bottom: 15px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    margin-top: 20px;
    margin-bottom: 9px;
    position: static; /* absolute打ち消し */
  }
}

.language {
  font-size: 14px;
  position: absolute;
  top: 250px;
  left: 97px;
}
@media screen and (min-width: 900px) {
  .language {
    position: static;
  }
}

.detail__expo2 {
  width: 323px;
  height: 323px;
  margin-inline: auto;
  border-radius: 50%;
  background: #faf3e0;
  padding: 20px;
  position: relative;
}
@media screen and (min-width: 900px) {
  .detail__expo2 {
    background: transparent;
    width: auto;
    height: auto;
    margin: 0;
    padding: 0;
  }
}

.description {
  font-size: 20px;
  position: absolute;
  top: 50px;
  left: 102px;
  border-bottom: 2px solid #000;
  padding-bottom: 6px;
}
@media screen and (min-width: 900px) {
  .description {
    margin-bottom: 15px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    margin-bottom: 9px;
    position: static;
  }
}

.description__text {
  margin: 80px 30px;
  font-size: 11px;
  line-height: 1.5;
}
@media screen and (min-width: 900px) {
  .description__text {
    margin: 0;
    font-size: 14px;
  }
}

.deviced-point__inner {
  max-width: 375px;
  margin-inline: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 20px;
}
@media screen and (min-width: 900px) {
  .deviced-point__inner {
    max-width: 900px;
  }
}
.deviced-point__titel {
  font-size: 30px;
}

@media screen and (min-width: 900px) {
  .work__button {
    padding: 10px 50px;
  }
}

/* 404 */
.e-404 {
  font-family: "Kiwi Maru";
}

.e-404__innner {
  text-align: center;
}

.e-404__content {
  margin-top: 77px;
}
@media screen and (min-width: 900px) {
  .e-404__content {
    margin-top: 110px;
  }
}
@media screen and (min-width: 1200px) {
  .e-404__content {
    margin-top: 123px;
  }
}

.e-404__title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 30px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-inline: auto;
}

.e-404__maintitle {
  font-size: 80px;
  line-height: 1;
}
@media screen and (min-width: 1200px) {
  .e-404__maintitle {
    font-size: 120px;
  }
}

.e-404__subtitle {
  font-size: 50px;
  line-height: 1;
}
@media screen and (min-width: 1200px) {
  .e-404__subtitle {
    font-size: 70px;
  }
}

.e-404__text {
  margin-top: 20px;
}
@media screen and (min-width: 900px) {
  .e-404__text {
    margin-top: 50px;
  }
}

.e-404__maintext {
  font-size: 15px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
}
@media screen and (min-width: 900px) {
  .e-404__maintext {
    font-size: 20px;
  }
}
@media screen and (min-width: 1200px) {
  .e-404__maintext {
    font-size: 30px;
  }
}

.e-404__subtext {
  margin-top: 10px;
  font-size: 12px;
}
@media screen and (min-width: 900px) {
  .e-404__subtext {
    margin-top: 15px;
    font-size: 16px;
    line-height: 1.2;
  }
}
@media screen and (min-width: 1200px) {
  .e-404__subtext {
    margin-top: 20px;
    font-size: 20px;
    line-height: 1.3;
  }
}

.e-404__button {
  margin-top: 17px;
}
@media screen and (min-width: 900px) {
  .e-404__button {
    margin-top: 50px;
    padding: 10px 50px;
  }
}

/*キラキラ降りそそぐマウスストーカー*/
.shine {
  position: fixed;
  top: -15px;
  left: -15px;
  width: 30px;
  height: 30px;
  background: url(../img/マウスストーカー.png) 50% 50% no-repeat;
  background-size: contain;
  z-index: 2;
  -webkit-animation: shine 2s ease-out 0s forwards;
          animation: shine 2s ease-out 0s forwards;
}

@-webkit-keyframes shine {
  0% {
    -webkit-transform: translateY(0) rotate(-5deg);
            transform: translateY(0) rotate(-5deg);
    opacity: 0;
  }
  5% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(50px) rotate(5deg);
            transform: translateY(50px) rotate(5deg);
    opacity: 0;
  }
}

@keyframes shine {
  0% {
    -webkit-transform: translateY(0) rotate(-5deg);
            transform: translateY(0) rotate(-5deg);
    opacity: 0;
  }
  5% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(50px) rotate(5deg);
            transform: translateY(50px) rotate(5deg);
    opacity: 0;
  }
}
/* トップに戻るボタン */
.top__button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-size: 12px;
  line-height: 1;
  z-index: 99;
  background: #8b4513;
  text-decoration: none;
  color: #fff;
  width: 55px;
  padding: 16px 5px;
  text-align: center;
  display: block;
  border-radius: 90px;
  opacity: 0.9;
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.top__button:hover {
  color: #8b4513;
  background: #fff;
}
@media screen and (min-width: 900px) {
  .top__button {
    bottom: 30px;
  }
}
@media screen and (min-width: 1200px) {
  .top__button {
    font-size: 14px;
    width: 65px;
    padding: 18px 5px;
  }
}